org.apache.thrift.transport

## Class TTransportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.thrift.transport.TTransportException

- All Implemented Interfaces:
    java.io.Serializable

      public class TTransportException
      extends TException

  Transport exceptions.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALREADY_OPEN`
    `static int` | `END_OF_FILE`
    `static int` | `NOT_OPEN`
    `static int` | `TIMED_OUT`
    `protected int` | `type_`
    `static int` | `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TTransportException()`
    `TTransportException(int type)`
    `TTransportException(int type, java.lang.String message)`
    `TTransportException(int type, java.lang.String message, java.lang.Throwable cause)`
    `TTransportException(int type, java.lang.Throwable cause)`
    `TTransportException(java.lang.String message)`
    `TTransportException(java.lang.String message, java.lang.Throwable cause)`
    `TTransportException(java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### NOT_OPEN

          public static final int NOT_OPEN

      See Also:
        Constant Field Values

    - #### ALREADY_OPEN

          public static final int ALREADY_OPEN

      See Also:
        Constant Field Values

    - #### TIMED_OUT

          public static final int TIMED_OUT

      See Also:
        Constant Field Values

    - #### END_OF_FILE

          public static final int END_OF_FILE

      See Also:
        Constant Field Values

    - #### type_

          protected int type_

  - ### Constructor Detail

    - #### TTransportException

          public TTransportException()

    - #### TTransportException

          public TTransportException(int type)

    - #### TTransportException

          public TTransportException(int type,
                             java.lang.String message)

    - #### TTransportException

          public TTransportException(java.lang.String message)

    - #### TTransportException

          public TTransportException(int type,
                             java.lang.Throwable cause)

    - #### TTransportException

          public TTransportException(java.lang.Throwable cause)

    - #### TTransportException

          public TTransportException(java.lang.String message,
                             java.lang.Throwable cause)

    - #### TTransportException

          public TTransportException(int type,
                             java.lang.String message,
                             java.lang.Throwable cause)

  - ### Method Detail

    - #### getType

          public int getType()